lzw666
lzw666
采纳率0%
2016-08-25 12:17 阅读 3.6k

ubuntu 安装Glibc时的问题

10

图片说明
我是ubuntu安装Glibc时,出现的这个错误。我怀疑是因为1的警告导致了2的错误。有人知道怎么解决么?
我是在执行Glibc的配置时出现的错误:命令是:configure --prefix=/usr --host=arm-llinux-gnueabi --enable-add-ons --with-headers=/usr/local/arm/sysroot/usr/include 2>&1 | tee configure.out
我认为出现1号的警告是因为--host=arm-linux-gnueabi 它指定了Glibc代码运行在arm平台,但是系统环境缺少arm相关东西,所以默认用了i386的平台配置。导致了下面的错误。
综上:我是认为我的ubuntu环境缺少什么代码或者configure命令缺少什么参数,或者Glibc文件需要改什么东西。希望有大牛帮我解决一下,呵呵

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

3条回答 默认 最新

  • Marksinoberg 泰 戈 尔 2016-08-25 13:04

    错误提示的很明显了。你的arm 架构问题。也就是说你下载的这个版本的软件的位数不符合你的电脑位数。默认是需要x86架构的,我估计你的电脑是64位的吧

    。如果是这样的话,要么寻找符合你电脑版本的这个软件,要么下载一个兼容器,具体的网上搜索一下即可。可以在64位的机器上运行32位的软件。

    希望对你有所帮助 :-)

    点赞 1 评论 复制链接分享
  • AinUser AinUser 2016-08-26 00:26

    可以去知乎上面或者github上面有

    点赞 评论 复制链接分享
  • feng1790291543 鱼弦 2016-08-26 02:49

    你把arm 内核里面的config改一下,里面应该有个对应的 开发环境的配置,针对不同的平台有不同的设置

    点赞 评论 复制链接分享

相关推荐